#! /usr/bin/env perl

use strict;
use Test::Harness;

my @tests = qw(provider-tests.pl);

push(@tests, map { s/xml/pl/; $_; } <*.xml>);
push(@tests, map { s/xml/pl/; "non_persistent_$_"; } <*.xml>);

runtests(@tests);
